%define upstream_name    File-ShareDir-PathClass
%define upstream_version 1.112440

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    File::ShareDir returning Path::Class objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Path::Class)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is just a wrapper around the File::ShareDir manpage functions,
transforming their return value to the Path::Class manpage objects. This
allows for easier usage of the value.

Refer to the File::ShareDir manpage (section FUNCTIONS) for a list of which
functions are supported.

'File::ShareDir::PathClass' supports both a procedural and a clas methods
API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
rm -rf %buildroot
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Fri Sep 02 2011 jquelin <jquelin> 1.112.440-1.mga2
+ Revision: 137988
- update to 1.112440

* Wed Mar 09 2011 jquelin <jquelin> 1.101.620-1.mga1
+ Revision: 66780
- imported package perl-File-ShareDir-PathClass


* Wed Mar 09 2011 cpan2dist 1.101620-1mga
- initial mageia release, generated with cpan2dist
